<?
 /*SCRIPT PARA MANTENIMIENTO DE PREGUNTAS DE SELECCION MULTIPLE */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   if($txtopcion[$txtcorrecta]==""){
     alert("ERROR: La respuesta correcta no puede estar vacía","javascript:history.go(-1)");
   }


   $id_ev=dec($ide);
   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}

   $sql="insert into ev_m_preguntas (pregunta, valor, evaluacion, con_tiempo, minutos, segundos, fecha)
                     values ('$txtpregunta',$txtvalor,$id_ev,'$txtcontiempo',$txtminutos, $txtsegundos,'$fechahora')";
//   echo $sql."<p>";
   $ins=mysql_query($sql);
   $id_pr=mysql_insert_id();
   // AGREGAR LAS OPCIONES DE LA PREGUNTA
     for($i=1;$i<=$nops;$i++){
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }

      if($txtopcion[$i]!=""){
      $sql="insert into ev_m_opciones (pregunta, opcion, correcta) values ('$id_pr','{$txtopcion[$i]}','$_crr')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }

     }
     //     mensaje y redireccion a pagina de preguntas
    // alert("Pregunta agregada","frm_info_prg.php?ide=$ide");
    redireccionar("index2.php?op=frm_info_prg&ide=$ide&msg=Pregunta agregada!");
   break;

   case "Update":
   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   if($txtopcion[$txtcorrecta]==""){
     alert("ERROR: La respuesta correcta no puede estar vacía","javascript:history.go(-1)");
   }


   $id_ev=dec($ide);
   $id_pr=dec($pid);

   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}

   $sql="update ev_m_preguntas
         set pregunta='$txtpregunta',
         valor='$txtvalor',
         evaluacion='$id_ev',
         con_tiempo='$txtcontiempo',
         minutos='$txtminutos',
         segundos='$txtsegundos'
         where id = $id_pr";

//   echo $sql."<p>";

   $upd=mysql_query($sql);

   // AGREGAR LAS OPCIONES DE LA PREGUNTA
    $qdel_op=mysql_query("delete from ev_m_opciones where pregunta = $id_pr");

     for($i=1;$i<=$nops;$i++){
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }

      if($txtopcion[$i]!=""){
      $sql="insert into ev_m_opciones (pregunta, opcion, correcta) values ('$id_pr','{$txtopcion[$i]}','$_crr')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }

     }
     //     mensaje y redireccion a pagina de preguntas
     //alert("Pregunta actualizada","frm_preguntas_evaluacion.php?ide=$ide");
     redireccionar("index2.php?op=frm_preguntas_evaluacion&ide=$ide&msg=Pregunta actualizada!");

   break;
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
